## org.mortbay.cometd
Class AbstractBayeux.DefaultPolicy

    java.lang.Object
      org.mortbay.cometd.AbstractBayeux.DefaultPolicy

All Implemented Interfaces:
  SecurityPolicy

Enclosing class:
  AbstractBayeux

    public static class AbstractBayeux.DefaultPolicy

extends Object
implements SecurityPolicy

Constructor Summary
`AbstractBayeux.DefaultPolicy()`

Method Summary
`boolean` `canCreate(Client client, String channel, Map message)`
`boolean` `canHandshake(Map message)`
`boolean` `canPublish(Client client, String channel, Map message)`
`boolean` `canSubscribe(Client client, String channel, Map message)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractBayeux.DefaultPolicy

    public AbstractBayeux.DefaultPolicy()

Method Detail

### canHandshake

    public boolean canHandshake(Map message)

  Specified by:
    `canHandshake` in interface `SecurityPolicy`

### canCreate

    public boolean canCreate(Client client,
                             String channel,
                             Map message)

  Specified by:
    `canCreate` in interface `SecurityPolicy`

### canSubscribe

    public boolean canSubscribe(Client client,
                                String channel,
                                Map message)

  Specified by:
    `canSubscribe` in interface `SecurityPolicy`

### canPublish

    public boolean canPublish(Client client,
                              String channel,
                              Map message)

  Specified by:
    `canPublish` in interface `SecurityPolicy`

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.